--- title: "Get session details" slug: "vpe-api-sessionrecent-uuid" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-sessionrecent-uuid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get session details Available in Classic and VPC Get details about a user's session using the player. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v1/sessionRecent/{Session UUID} | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `Session UUID` | String | Required | Unique user ID - UUID format | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ma-dashboard-api.vpe.naverncp.com/v1/sessionRecent/{Session UUID}' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project id}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Session information | | `result.startTime` | Object | - | Time taken until playback start | | `result.startTime.playerStartTimeSum` | Integer | - | Player preparation time (second) | | `result.startTime.videoStartTimeSum` | Integer | - | Playback start time (second) | | `result.startTime.totalStartTimeSum` | Integer | - | Total playback time (second) | | `result.user` | Object | - | Session user information | | `result.user.os` | String | - | Operating system information | | `result.user.isp` | String | - | Network information | | `result.user.nation` | String | - | Country information | | `result.user.address` | String | - | Position information | | `result.user.browser` | String | - | Browser information | | `result.user.ip` | String | - | IP address | | `result.user.device` | String | - | Player playback environment - `PC,Mobile`\| `PC` \| `Mobile` | | `result.user.screen` | String | - | Screen resolution | | `result.user.lang` | String | - | Language code | | `result.user.visitedPage` | String | - | Played page | | `result.player` | Object | - | Player Information | | `result.player.playerName` | String | - | Player name | | `result.player.playerVersion` | String | - | Player version | | `result.player.playerType` | String | - | Player type | | `result.player.playerUrl` | String | - | Player domain | | `result.error` | Array | - | Error information: [error](/docs/en/vpe-api-sessionrecent-uuid#error) | | `result.sessionLog` | Array | - | Session log (player action cycle log): [sessionLog](/docs/en/vpe-api-sessionrecent-uuid#sessionLog) | | `result.media` | Array | - | Playback source information: [media](/docs/en/vpe-api-sessionrecent-uuid#media) | #### `error` The following describes `error`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `errorCode` | Integer | - | Errors | | `message` | String | - | Error message | #### `sessionLog` The following describes `sessionLog`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `logDate` | Date | - | Session creation date and time | | `uuid` | String | - | Unique user ID - UUID format | | `videoTime` | String | - | Play time | | `actionType` | String | - | Action type: Event information corresponding to Media Analytics usage - `player_start` \| `startup` \| `playing` \| `paused` \| `seeking` \| `rebuffering` \| `prev_tarck` \| `next_track` \| `ended` \| `error` - `player_start`: Player started (player ready to play after VPE authentication succeeded) - `startup`: Playback successful (user successfully played the first screen of the video after attempting to play it) - `playing`: Playback time (reports events every 60 seconds; reports immediately if another event occurs before 60 seconds) - `paused`: Stop button clicked - `seeking`: Buffering occurred when navigating videos or changing resolution - `rebuffering`: Buffering occurred due to insufficient data for the video being played (excluded for `seeking`) - `prev_tarck`: Previous video button clicked - `next_track`: Next video button clicked - `ended`: Video watched to the end (When set to repeat playback, `seeking` occurs at 0 seconds, preventing `ended` from triggering.) - `error`: Error occurred | | `actionDuration` | Integer | - | Time taken to complete (second) | #### `media` The following describes `media`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `videoType` | String | - | Playback source type - `VOD,LIVE` \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | | `videoFormat` | String | - | Playback source classification | | `duration` | Integer | - | Total video length | | `url` | String | - | Playback source URL | | `title` | String | - | Video title | | `logDate` | Date | - | Session creation date and time | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 200, "message": "sessionRecentDetail", "result": { "startTime": { "playerStartTimeSum": 0.008, "videoStartTimeSum": 0.413, "totalStartTimeSum": 0.421 }, "user": { "os": "Windows / 10", "isp": "SK Broadband Co Ltd", "nation": "Korea, Republic of", "address": "Yeoksam 2-dong, Gangnam-gu, Seoul", "browser": "Edge / 141.0.0.0", "ip": "***.***.***.***", "device": "PC", "screen": "1680x1050", "lang": "ko", "visitedPage": "/demo/scrollFloating" }, "player": { "playerName": "vpe-guide-website", "playerVersion": "latest", "playerType": "VPE", "playerUrl": "https://vpe.*********.com" }, "error": [], "sessionLog": [ { "logDate": "2025-10-08 12:52:00", "logDateUnix": "1759895520830", "videoTime": 0, "watchingPercent": 0, "actionType": "player_start", "actionDuration": 0.008, "quality": "1080p", "errorCode": null, "errorMessage": null }, { "logDate": "2025-10-08 12:52:01", "logDateUnix": "1759895521248", "videoTime": 0, "watchingPercent": 0, "actionType": "startup", "actionDuration": 0.413, "quality": "1080p", "errorCode": null, "errorMessage": null }, { "logDate": "2025-10-08 12:52:02", "logDateUnix": "1759895522082", "videoTime": 0, "watchingPercent": 0, "actionType": "playing", "actionDuration": 0.834, "quality": "1080p", "errorCode": null, "errorMessage": null } ], "media": [ { "videoType": "VOD", "videoFormat": "hls", "duration": 91, "url": "https://*********.naverncp.com/hls/*********/endpoint/sample/221027_NAVER_Cloud_intro_Long_ver_AVC_,FHD_2Pass_30fps,HD_2Pass_30fps,SD_2Pass_30fps,.mp4.smil/master.m3u8", "title": "NAVER Cloud introduction video", "logDate": "2025-10-08 12:52:01" } ] } } ```